<?php
// =============================================================================
// Affichage du champ de sélection des tables
// =============================================================================
// -----------------------------------------------------------------------------
// affichage du formulaire "Liste de choix de la table"
// -----------------------------------------------------------------------------
// recherche des tables de la base
// et affichage d'une liste à choix multiple pour le choix de la table à modifier.
// affichage automatique de la page $goto_page lorsqu'il y a un changement de valeur de ce champ.
//@ in	: $varList ; liste des valeurs locales : connexion à la base, ...
//@ in	:	$gotoPage ; page à afficher quand on change la valeur de ce champ.
//@	in	: $tableName ; nom de la table si déjà sélectionnée avant
//@ out	:	aucune sortie, affichage direct
//
	$table_List=$DB_ParmsTables;//getTableList($varList);
	$table_ListName=$DB_ParmsTablesNames;
	$selected = "";
	echo "<select name=tableName ".
		"onchange=\"window.location=('".$gotoPage."?".
		 "tableName='+this.options[this.selectedIndex].value".
		 "+'&mode=list&backUrl=".$backUrl."&userId=".$userId."'".
		")\">\n";
	echo "<option value=0>-- Choisissez une table --</option>";
	for ($i=0; $i<count($table_List); $i++)
	//futur for ($i=0; $i<count($dicTable); $i++)
	{ 
		if ($table_List[$i]==$tableName) $selected = "selected";
		else $selected = "";
		echo "<option value= $table_List[$i] $selected>$table_ListName[$i]</option>";
	}
	echo "</select>";
	echo "<input type=hidden name=mode value=list />";
	// afficher les boutons de soumission
	
?>

